Node.js bis 12.22.6/14.18.0/16.11.0 llhttp erweiterte Rechte

EintraganpassenHistoryDiffjsonxmlCTI
CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
7.0$0-$5k0.23

In Node.js bis 12.22.6/14.18.0/16.11.0 (JavaScript Library) wurde eine Schwachstelle gefunden. Sie wurde als kritisch eingestuft. Es geht um unbekannter Code der Komponente llhttp. Dank Manipulation mit einer unbekannten Eingabe kann eine erweiterte Rechte-Schwachstelle ausgenutzt werden. CWE definiert das Problem als CWE-444. Auswirkungen hat dies auf Vertraulichkeit, Integrität und Verfügbarkeit.

Die Schwachstelle wurde am 14.10.2021 öffentlich gemacht. Bereitgestellt wird das Advisory unter nodejs.org. Die Verwundbarkeit wird seit dem 06.01.2021 als CVE-2021-22959 geführt. Das Ausnutzen gilt als leicht. Der Angriff kann über das Netzwerk angegangen werden. Um eine Ausnutzung durchzusetzen, muss keine spezifische Authentisierung umgesetzt werden. Technische Details oder ein Exploit zur Schwachstelle sind nicht verfügbar.

Ein Aktualisieren auf die Version 12.22.7, 14.18.1 oder 16.11.1 vermag dieses Problem zu lösen. Eine neue Version kann von nodejs.org bezogen werden.

Produktinfoanpassen

Typ

Name

CPE 2.3infoanpassen

CPE 2.2infoanpassen

CVSSv3infoanpassen

VulDB Meta Base Score: 7.3
VulDB Meta Temp Score: 7.0

VulDB Base Score: 7.3
VulDB Temp Score: 7.0
VulDB Vector: 🔒
VulDB Zuverlässigkeit: 🔍

CVSSv2infoanpassen

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Zuverlässigkeit: 🔍

Exploitinginfoanpassen

Klasse: Erweiterte Rechte
CWE: CWE-444
ATT&CK: Unbekannt

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔒
Status: Nicht definiert
Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔒

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Threat Intelligenceinfoanpassen

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfoanpassen

Empfehlung: Upgrade
Status: 🔍

0-Day Time: 🔒

Upgrade: Node.js 12.22.7/14.18.1/16.11.1

Timelineinfoanpassen

06.01.2021 CVE zugewiesen
14.10.2021 +280 Tage Advisory veröffentlicht
14.10.2021 +0 Tage VulDB Eintrag erstellt
14.10.2021 +0 Tage VulDB letzte Aktualisierung

Quelleninfoanpassen

Advisory: nodejs.org
Status: Bestätigt

CVE: CVE-2021-22959 (🔒)

Eintraginfoanpassen

Erstellt: 14.10.2021 11:52
Anpassungen: (40) software_name software_version software_component software_type vulnerability_cwe vulnerability_risk vulnerability_cvss2_vuldb_basescore vulnerability_cvss2_vuldb_tempscore vulnerability_cvss2_vuldb_av vulnerability_cvss2_vuldb_ac vulnerability_cvss2_vuldb_au vulnerability_cvss2_vuldb_ci vulnerability_cvss2_vuldb_ii vulnerability_cvss2_vuldb_ai vulnerability_cvss2_vuldb_e vulnerability_cvss2_vuldb_rl vulnerability_cvss2_vuldb_rc vulnerability_cvss3_meta_basescore vulnerability_cvss3_meta_tempscore vulnerability_cvss3_vuldb_basescore vulnerability_cvss3_vuldb_tempscore vulnerability_cvss3_vuldb_av vulnerability_cvss3_vuldb_ac vulnerability_cvss3_vuldb_pr vulnerability_cvss3_vuldb_ui vulnerability_cvss3_vuldb_s vulnerability_cvss3_vuldb_c vulnerability_cvss3_vuldb_i vulnerability_cvss3_vuldb_a vulnerability_cvss3_vuldb_e vulnerability_cvss3_vuldb_rl vulnerability_cvss3_vuldb_rc advisory_date advisory_url exploit_price_0day countermeasure_name countermeasure_upgrade_version countermeasure_upgrade_url source_cve source_cve_assigned
Komplett: 🔍
Einsender: CSieberg

Kommentare

Bisher keine Kommentare. Sprachen: . Bitte loggen Sie sich ein, um kommentieren zu können.

Might our Artificial Intelligence support you?

Check our Alexa App!